Start a connection metadata job
curl --request POST \
--url https://api.upsolve.ai/v1/api/connection/compute-metadata-job \
--header 'Content-Type: application/json' \
--header 'authorization: <api-key>' \
--data '
{
"connectionId": "<string>",
"apiKey": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"mode": "v2",
"catalogNames": [
"<string>"
],
"schemaNames": [
"<string>"
],
"keepQueries": true,
"refreshConnectionSchema": true,
"dataModelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataModelVersion": 4503599627370495
}
'import requests
url = "https://api.upsolve.ai/v1/api/connection/compute-metadata-job"
payload = {
"connectionId": "<string>",
"apiKey": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"mode": "v2",
"catalogNames": ["<string>"],
"schemaNames": ["<string>"],
"keepQueries": True,
"refreshConnectionSchema": True,
"dataModelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataModelVersion": 4503599627370495
}
headers = {
"authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
connectionId: '<string>',
apiKey: '<string>',
organizationId: '<string>',
projectId: '<string>',
mode: 'v2',
catalogNames: ['<string>'],
schemaNames: ['<string>'],
keepQueries: true,
refreshConnectionSchema: true,
dataModelId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
dataModelVersion: 4503599627370495
})
};
fetch('https://api.upsolve.ai/v1/api/connection/compute-metadata-job', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.upsolve.ai/v1/api/connection/compute-metadata-job",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'connectionId' => '<string>',
'apiKey' => '<string>',
'organizationId' => '<string>',
'projectId' => '<string>',
'mode' => 'v2',
'catalogNames' => [
'<string>'
],
'schemaNames' => [
'<string>'
],
'keepQueries' => true,
'refreshConnectionSchema' => true,
'dataModelId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'dataModelVersion' => 4503599627370495
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.upsolve.ai/v1/api/connection/compute-metadata-job"
payload := strings.NewReader("{\n \"connectionId\": \"<string>\",\n \"apiKey\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"projectId\": \"<string>\",\n \"mode\": \"v2\",\n \"catalogNames\": [\n \"<string>\"\n ],\n \"schemaNames\": [\n \"<string>\"\n ],\n \"keepQueries\": true,\n \"refreshConnectionSchema\": true,\n \"dataModelId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dataModelVersion\": 4503599627370495\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.upsolve.ai/v1/api/connection/compute-metadata-job")
.header("authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"connectionId\": \"<string>\",\n \"apiKey\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"projectId\": \"<string>\",\n \"mode\": \"v2\",\n \"catalogNames\": [\n \"<string>\"\n ],\n \"schemaNames\": [\n \"<string>\"\n ],\n \"keepQueries\": true,\n \"refreshConnectionSchema\": true,\n \"dataModelId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dataModelVersion\": 4503599627370495\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.upsolve.ai/v1/api/connection/compute-metadata-job")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"connectionId\": \"<string>\",\n \"apiKey\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"projectId\": \"<string>\",\n \"mode\": \"v2\",\n \"catalogNames\": [\n \"<string>\"\n ],\n \"schemaNames\": [\n \"<string>\"\n ],\n \"keepQueries\": true,\n \"refreshConnectionSchema\": true,\n \"dataModelId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dataModelVersion\": 4503599627370495\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"jobId": "<string>",
"status": "pending",
"reused": true
}
}{
"status": "error",
"error": {
"message": "<string>",
"code": "<string>",
"details": {}
}
}Connections & environments
Start Connection Metadata Job
Queue metadata computation for a connection and return a job id to poll, instead of blocking on a long read
POST
/
v1
/
api
/
connection
/
compute-metadata-job
Start a connection metadata job
curl --request POST \
--url https://api.upsolve.ai/v1/api/connection/compute-metadata-job \
--header 'Content-Type: application/json' \
--header 'authorization: <api-key>' \
--data '
{
"connectionId": "<string>",
"apiKey": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"mode": "v2",
"catalogNames": [
"<string>"
],
"schemaNames": [
"<string>"
],
"keepQueries": true,
"refreshConnectionSchema": true,
"dataModelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataModelVersion": 4503599627370495
}
'import requests
url = "https://api.upsolve.ai/v1/api/connection/compute-metadata-job"
payload = {
"connectionId": "<string>",
"apiKey": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"mode": "v2",
"catalogNames": ["<string>"],
"schemaNames": ["<string>"],
"keepQueries": True,
"refreshConnectionSchema": True,
"dataModelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataModelVersion": 4503599627370495
}
headers = {
"authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
connectionId: '<string>',
apiKey: '<string>',
organizationId: '<string>',
projectId: '<string>',
mode: 'v2',
catalogNames: ['<string>'],
schemaNames: ['<string>'],
keepQueries: true,
refreshConnectionSchema: true,
dataModelId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
dataModelVersion: 4503599627370495
})
};
fetch('https://api.upsolve.ai/v1/api/connection/compute-metadata-job', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.upsolve.ai/v1/api/connection/compute-metadata-job",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'connectionId' => '<string>',
'apiKey' => '<string>',
'organizationId' => '<string>',
'projectId' => '<string>',
'mode' => 'v2',
'catalogNames' => [
'<string>'
],
'schemaNames' => [
'<string>'
],
'keepQueries' => true,
'refreshConnectionSchema' => true,
'dataModelId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'dataModelVersion' => 4503599627370495
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.upsolve.ai/v1/api/connection/compute-metadata-job"
payload := strings.NewReader("{\n \"connectionId\": \"<string>\",\n \"apiKey\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"projectId\": \"<string>\",\n \"mode\": \"v2\",\n \"catalogNames\": [\n \"<string>\"\n ],\n \"schemaNames\": [\n \"<string>\"\n ],\n \"keepQueries\": true,\n \"refreshConnectionSchema\": true,\n \"dataModelId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dataModelVersion\": 4503599627370495\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.upsolve.ai/v1/api/connection/compute-metadata-job")
.header("authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"connectionId\": \"<string>\",\n \"apiKey\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"projectId\": \"<string>\",\n \"mode\": \"v2\",\n \"catalogNames\": [\n \"<string>\"\n ],\n \"schemaNames\": [\n \"<string>\"\n ],\n \"keepQueries\": true,\n \"refreshConnectionSchema\": true,\n \"dataModelId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dataModelVersion\": 4503599627370495\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.upsolve.ai/v1/api/connection/compute-metadata-job")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"connectionId\": \"<string>\",\n \"apiKey\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"projectId\": \"<string>\",\n \"mode\": \"v2\",\n \"catalogNames\": [\n \"<string>\"\n ],\n \"schemaNames\": [\n \"<string>\"\n ],\n \"keepQueries\": true,\n \"refreshConnectionSchema\": true,\n \"dataModelId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"dataModelVersion\": 4503599627370495\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"jobId": "<string>",
"status": "pending",
"reused": true
}
}{
"status": "error",
"error": {
"message": "<string>",
"code": "<string>",
"details": {}
}
}Authorizations
Body
application/json
POST /v1/api/connection/compute-metadata-job Request body
The ID of the connection to compute metadata for
Upsolve API key, generated under Account → Developer settings in the Upsolve Hub. Keys are user-scoped: pass organizationId alongside the key to select which org to act on.
Minimum string length:
1The ID of the organization. Required when using Supabase JWT authentication.
Available options:
v1, v2 Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$Required range:
0 <= x <= 9007199254740991Was this page helpful?